#
# spec file for package winetricks
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           winetricks
Version:        20250102
Release:        1.4
Summary:        A way to work around problems in WINE
License:        LGPL-2.1-or-later
URL:            https://github.com/Winetricks/winetricks
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  bash-completion
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       cabextract
Requires:       unzip
Requires:       wine
Recommends:     (zenity or kdialog)
BuildArch:      noarch

%description
Winetricks is a way to work around problems in Wine.

It has a menu of supported games/apps for which it can do all the
workarounds automatically. It also allows the installation of missing
DLLs and tweaking of various WINE settings.

%package bash-completion
Summary:        Bash Completions for %{name}
BuildArch:      noarch

%description bash-completion
%{summary}.

%prep
%autosetup -p1

%build
#nothing to do

%install
%make_install
%suse_update_desktop_file %{name}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
#{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/metainfo/io.github.winetricks.Winetricks.metainfo.xml
%{_mandir}/man?/%{name}.?%{?ext_man}

%files bash-completion
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Sat Jan  4 2025 Marcus Meissner <meissner@suse.com>
- updated to 20250102
  - year of fixes, no changes entry
* Tue Oct 15 2024 Richard Rahl <rrahl0@opensuse.org>
- add option for kdialog
- seperate out bash-completion
- switch over to noarch, as the software is only shell
- don't try to build the software, as nothing is getting built
* Wed Jan 10 2024 Marcus Meissner <meissner@suse.com>
- updated to 20240105
  - match wine 8 version
  - lots of fixes
- icodecs.patch: is upstream
* Thu Oct 19 2023 Илья Индиго <ilya@ilya.cf>
- Added file icodecs.patch for fixed icodecs install
  https://github.com/Winetricks/winetricks/issues/2103
* Tue Feb 14 2023 Marcus Meissner <meissner@suse.com>
- updated to 20230212
  - match current wine versions
  - again lots of adjustments
* Mon Apr 11 2022 Marcus Meissner <meissner@suse.com>
- updated to 20220411
  - match current wine versions
  - lots of adjustments
* Tue Mar 29 2022 Marcus Meissner <meissner@suse.com>
- updated to 20220328
  - match current wine versions
  - lots of adjustments
* Wed Aug 25 2021 Marcus Meissner <meissner@suse.com>
- updated to 20210825
  - updated to current wine versions
  - adjust to changed download components
* Sun Feb  7 2021 Marcus Meissner <meissner@suse.com>
- updated to 20210206
  - lots of fixes
* Mon Jan 18 2021 Oliver Kurz <okurz@suse.com>
- Add zenity installation recommendation for UI support
* Mon Dec  7 2020 Marcus Meissner <meissner@suse.com>
- updated to 20201206
  - lots of fixes
* Mon Oct 26 2020 Илья Индиго <ilya@ilya.pp.ua>
- Refresh spec-file via spec-cleaner and manual optimizations.
  * Remove obsolete designs.
  * Change from Recommends to Requires for cabextract and unzip.
* Tue Apr 14 2020 Marcus Meissner <meissner@suse.com>
- updated to 20200412
  * shellcheck fixes to script
  * aria2c fixes
  * speechsdk fixes
  * bugfixes
* Wed Dec 25 2019 Marcus Meissner <meissner@suse.com>
- updated to 20191224
  * adjusted to current wine
  * lots of changes and updates
* Fri Sep 13 2019 Marcus Meissner <meissner@suse.com>
- Update to 20190912
  * lots of changes and updates
* Sat Jun 15 2019 Marcus Meissner <meissner@suse.com>
- Update to 20190615
  * lots of adjustments
* Sun Mar 10 2019 Yunhe Guo <i@guoyunhe.me>
- Version 20190310
* Sun Dec 23 2018 linux4humans <zenitur@ya.ru>
- adjusted logic for license/doc handling to cover more distributions
* Tue Dec 11 2018 linux4humans <zenitur@ya.ru>
- Minor changes for making it built on older openSUSE versions
- TODO: can anybody define %%license as %%doc for openSUSE < 13.1 then put
  this %%if at the beggining of the SPEC file? Then delete this %%if from
  the %%files section? Like it advised to do there: https://lists.opensuse.org/
  opensuse-factory/2016-02/msg00196.html
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias and redundancies from description.
- Avoid name repetition in summary.
* Tue Dec  4 2018 Yunhe Guo <i@guoyunhe.me>
- Version 20181203
